Package com.logicaldoc.core.dashlet

# Interface DashletDAO

All Superinterfaces:
  `PersistentObjectDAO<Dashlet>`

All Known Implementing Classes:
  `HibernateDashletDAO`

public interface DashletDAO extends PersistentObjectDAO<Dashlet>
Instances of this class is a DAO-service for dashlet objects.

Version:
  8.2.3
Author:
  Marco Meschieri - LogicalDOC

## Field Summary

### Fields inherited from interface com.logicaldoc.core.PersistentObjectDAO

`ENTITY`

## Method Summary

Modifier and Type
Method
Description
`Dashlet`
`findByName(String name, long tenantId)`
Finds the dashlet by it's name
`static DashletDAO`
`get()`
Gets the object available in the application context

### Methods inherited from interface com.logicaldoc.core.PersistentObjectDAO

`bulkUpdate, count, count, count, delete, delete, deleteAll, deleteAll, evict, evict, findAll, findAll, findAllIds, findAllIds, findById, findById, findByObjectQuery, findByQuery, findByQuery, findByWhere, findByWhere, findIdsByWhere, findIdsByWhere, getDatabaseMetadata, getDbms, initialize, initialize, isMariaDB, isMySQL, isOracle, isPostgreSQL, isSQLServer, jdbcUpdate, jdbcUpdate, query, query, queryForDouble, queryForDouble, queryForInt, queryForInt, queryForList, queryForList, queryForList, queryForLong, queryForLong, queryForObject, queryForObject, queryForResultSet, queryForString, queryForString, store`

## Method Details

### get

static DashletDAO get()
Gets the object available in the application context

Returns:
  the instance of this object in the application context

### findByName

Dashlet findByName(String name, long tenantId) throws PersistenceException
Finds the dashlet by it's name

Parameters:
  `name` - name of the dashlet
  `tenantId` - identifier of the tenant
Returns:
  the found dashlet
Throws:
  `PersistenceException` - Error in the database